----------------------------------------------------------------------
-- Created by Actel SmartDesign Tue Nov 19 17:21:40 2013
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component Trigger_receiver_v1_7_MSS
        -- ports
        port( 
            -- Inputs
            MCCC_CLK_BASE : in std_logic;
            MCCC_CLK_BASE_PLL_LOCK : in std_logic;
            FIC_0_APB_M_PREADY : in std_logic;
            FIC_0_APB_M_PSLVERR : in std_logic;
            MMUART_0_RXD : in std_logic;
            GPIO_1_F2M : in std_logic;
            MAC_MII_RX_ER : in std_logic;
            MAC_MII_RX_DV : in std_logic;
            MAC_MII_CRS : in std_logic;
            MAC_MII_COL : in std_logic;
            MAC_MII_RX_CLK : in std_logic;
            MAC_MII_TX_CLK : in std_logic;
            MDDR_DQS_TMATCH_0_IN : in std_logic;
            SPI_0_DI : in std_logic;
            MDDR_APB_S_PRESET_N : in std_logic;
            MDDR_APB_S_PCLK : in std_logic;
            FIC_2_APB_M_PREADY : in std_logic;
            FIC_2_APB_M_PSLVERR : in std_logic;
            MDDR_APB_S_PWRITE : in std_logic;
            MDDR_APB_S_PENABLE : in std_logic;
            MDDR_APB_S_PSEL : in std_logic;
            MAC_MII_MDI : in std_logic;
            FIC_0_APB_M_PRDATA : in std_logic_vector(31 downto 0);
            MAC_MII_RXD : in std_logic_vector(3 downto 0);
            FIC_2_APB_M_PRDATA : in std_logic_vector(31 downto 0);
            MDDR_APB_S_PWDATA : in std_logic_vector(15 downto 0);
            MDDR_APB_S_PADDR : in std_logic_vector(10 downto 2);

            -- Outputs
            MSS_RESET_N_M2F : out std_logic;
            FIC_0_APB_M_PSEL : out std_logic;
            FIC_0_APB_M_PWRITE : out std_logic;
            FIC_0_APB_M_PENABLE : out std_logic;
            MMUART_0_TXD : out std_logic;
            MAC_MII_TX_EN : out std_logic;
            MAC_MII_TX_ER : out std_logic;
            MDDR_DQS_TMATCH_0_OUT : out std_logic;
            MDDR_CAS_N : out std_logic;
            MDDR_CLK : out std_logic;
            MDDR_CLK_N : out std_logic;
            MDDR_CKE : out std_logic;
            MDDR_CS_N : out std_logic;
            MDDR_ODT : out std_logic;
            MDDR_RAS_N : out std_logic;
            MDDR_RESET_N : out std_logic;
            MDDR_WE_N : out std_logic;
            SPI_0_DO : out std_logic;
            FIC_2_APB_M_PRESET_N : out std_logic;
            FIC_2_APB_M_PCLK : out std_logic;
            FIC_2_APB_M_PWRITE : out std_logic;
            FIC_2_APB_M_PENABLE : out std_logic;
            FIC_2_APB_M_PSEL : out std_logic;
            MDDR_APB_S_PREADY : out std_logic;
            MDDR_APB_S_PSLVERR : out std_logic;
            MAC_MII_MDC : out std_logic;
            MAC_MII_MDO_EN : out std_logic;
            MAC_MII_MDO : out std_logic;
            FIC_0_APB_M_PADDR : out std_logic_vector(31 downto 0);
            FIC_0_APB_M_PWDATA : out std_logic_vector(31 downto 0);
            MAC_MII_TXD : out std_logic_vector(3 downto 0);
            MDDR_ADDR : out std_logic_vector(15 downto 0);
            MDDR_BA : out std_logic_vector(2 downto 0);
            FIC_2_APB_M_PADDR : out std_logic_vector(15 downto 2);
            FIC_2_APB_M_PWDATA : out std_logic_vector(31 downto 0);
            MDDR_APB_S_PRDATA : out std_logic_vector(15 downto 0);

            -- Inouts
            SPI_0_CLK : inout std_logic;
            SPI_0_SS0 : inout std_logic;
            MDDR_DM_RDQS : inout std_logic_vector(1 downto 0);
            MDDR_DQ : inout std_logic_vector(15 downto 0);
            MDDR_DQS : inout std_logic_vector(1 downto 0)

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  Trigger_receiver_v1_7_MSS
    Trigger_receiver_v1_7_MSS_0 : Trigger_receiver_v1_7_MSS
        -- port map
        port map( 
            -- Inputs
            MCCC_CLK_BASE => SYSCLK,
            MCCC_CLK_BASE_PLL_LOCK => SYSCLK,
            FIC_0_APB_M_PREADY => '0',
            FIC_0_APB_M_PSLVERR => '0',
            MMUART_0_RXD => '0',
            GPIO_1_F2M => '0',
            MAC_MII_RX_ER => '0',
            MAC_MII_RX_DV => '0',
            MAC_MII_CRS => '0',
            MAC_MII_COL => '0',
            MAC_MII_RX_CLK => SYSCLK,
            MAC_MII_TX_CLK => SYSCLK,
            MDDR_DQS_TMATCH_0_IN => NSYSRESET,
            SPI_0_DI => '0',
            MDDR_APB_S_PRESET_N => NSYSRESET,
            MDDR_APB_S_PCLK => SYSCLK,
            FIC_2_APB_M_PREADY => '0',
            FIC_2_APB_M_PSLVERR => '0',
            MDDR_APB_S_PWRITE => NSYSRESET,
            MDDR_APB_S_PENABLE => '0',
            MDDR_APB_S_PSEL => '0',
            MAC_MII_MDI => '0',
            FIC_0_APB_M_PRDATA => (others=> '0'),
            MAC_MII_RXD => (others=> '0'),
            FIC_2_APB_M_PRDATA => (others=> '0'),
            MDDR_APB_S_PWDATA => (others=> '0'),
            MDDR_APB_S_PADDR => (others=> '0'),

            -- Outputs
            MSS_RESET_N_M2F =>  open,
            FIC_0_APB_M_PSEL =>  open,
            FIC_0_APB_M_PWRITE =>  open,
            FIC_0_APB_M_PENABLE =>  open,
            MMUART_0_TXD =>  open,
            MAC_MII_TX_EN =>  open,
            MAC_MII_TX_ER =>  open,
            MDDR_DQS_TMATCH_0_OUT =>  open,
            MDDR_CAS_N =>  open,
            MDDR_CLK =>  open,
            MDDR_CLK_N =>  open,
            MDDR_CKE =>  open,
            MDDR_CS_N =>  open,
            MDDR_ODT =>  open,
            MDDR_RAS_N =>  open,
            MDDR_RESET_N =>  open,
            MDDR_WE_N =>  open,
            SPI_0_DO =>  open,
            FIC_2_APB_M_PRESET_N =>  open,
            FIC_2_APB_M_PCLK =>  open,
            FIC_2_APB_M_PWRITE =>  open,
            FIC_2_APB_M_PENABLE =>  open,
            FIC_2_APB_M_PSEL =>  open,
            MDDR_APB_S_PREADY =>  open,
            MDDR_APB_S_PSLVERR =>  open,
            MAC_MII_MDC =>  open,
            MAC_MII_MDO_EN =>  open,
            MAC_MII_MDO =>  open,
            FIC_0_APB_M_PADDR => open,
            FIC_0_APB_M_PWDATA => open,
            MAC_MII_TXD => open,
            MDDR_ADDR => open,
            MDDR_BA => open,
            FIC_2_APB_M_PADDR => open,
            FIC_2_APB_M_PWDATA => open,
            MDDR_APB_S_PRDATA => open,

            -- Inouts
            SPI_0_CLK =>  open,
            SPI_0_SS0 =>  open,
            MDDR_DM_RDQS => open,
            MDDR_DQ => open,
            MDDR_DQS => open

        );

end behavioral;

