----------------------------------------------------------------------
-- Created by SmartDesign Thu Oct 17 23:20:28 2013
-- Version: v11.1 11.1.0.14
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library SmartFusion2;
use SmartFusion2.all;
library COREFIFO_OBF_LIB;
use COREFIFO_OBF_LIB.all;
----------------------------------------------------------------------
-- ms_event_fifo entity declaration
----------------------------------------------------------------------
entity ms_event_fifo is
    -- Port list
    port(
        -- Inputs
        CLK   : in  std_logic;
        DATA  : in  std_logic_vector(32 downto 0);
        RE    : in  std_logic;
        RESET : in  std_logic;
        WE    : in  std_logic;
        -- Outputs
        EMPTY : out std_logic;
        FULL  : out std_logic;
        Q     : out std_logic_vector(32 downto 0)
        );
end ms_event_fifo;
----------------------------------------------------------------------
-- ms_event_fifo architecture body
----------------------------------------------------------------------
architecture RTL of ms_event_fifo is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- ms_event_fifo_ms_event_fifo_0_COREFIFO   -   Actel:DirectCore:COREFIFO:2.0.101
component ms_event_fifo_ms_event_fifo_0_COREFIFO
    generic( 
        AE_STATIC_EN   : integer := 0 ;
        AEVAL          : integer := 4 ;
        AF_STATIC_EN   : integer := 0 ;
        AFVAL          : integer := 60 ;
        CTRL_TYPE      : integer := 3 ;
        ESTOP          : integer := 1 ;
        FAMILY         : integer := 19 ;
        FSTOP          : integer := 1 ;
        OVERFLOW_EN    : integer := 0 ;
        PIPE           : integer := 1 ;
        PREFETCH       : integer := 0 ;
        RCLK_EDGE      : integer := 1 ;
        RDCNT_EN       : integer := 0 ;
        RDEPTH         : integer := 128 ;
        RE_POLARITY    : integer := 0 ;
        READ_DVALID    : integer := 0 ;
        RESET_POLARITY : integer := 1 ;
        RWIDTH         : integer := 33 ;
        SYNC           : integer := 1 ;
        UNDERFLOW_EN   : integer := 0 ;
        WCLK_EDGE      : integer := 1 ;
        WDEPTH         : integer := 128 ;
        WE_POLARITY    : integer := 0 ;
        WRCNT_EN       : integer := 0 ;
        WRITE_ACK      : integer := 0 ;
        WWIDTH         : integer := 33 
        );
    -- Port list
    port(
        -- Inputs
        CLK       : in  std_logic;
        DATA      : in  std_logic_vector(32 downto 0);
        MEMRD     : in  std_logic_vector(32 downto 0);
        RCLOCK    : in  std_logic;
        RE        : in  std_logic;
        RESET     : in  std_logic;
        WCLOCK    : in  std_logic;
        WE        : in  std_logic;
        -- Outputs
        AEMPTY    : out std_logic;
        AFULL     : out std_logic;
        DVLD      : out std_logic;
        EMPTY     : out std_logic;
        FULL      : out std_logic;
        MEMRADDR  : out std_logic_vector(6 downto 0);
        MEMRE     : out std_logic;
        MEMWADDR  : out std_logic_vector(6 downto 0);
        MEMWD     : out std_logic_vector(32 downto 0);
        MEMWE     : out std_logic;
        OVERFLOW  : out std_logic;
        Q         : out std_logic_vector(32 downto 0);
        RDCNT     : out std_logic_vector(7 downto 0);
        UNDERFLOW : out std_logic;
        WACK      : out std_logic;
        WRCNT     : out std_logic_vector(7 downto 0)
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal EMPTY_net_0 : std_logic;
signal FULL_net_0  : std_logic;
signal Q_net_0     : std_logic_vector(32 downto 0);
signal FULL_net_1  : std_logic;
signal EMPTY_net_1 : std_logic;
signal Q_net_1     : std_logic_vector(32 downto 0);
----------------------------------------------------------------------
-- TiedOff Signals
----------------------------------------------------------------------
signal GND_net     : std_logic;
signal MEMRD_const_net_0: std_logic_vector(32 downto 0);

begin
----------------------------------------------------------------------
-- Constant assignments
----------------------------------------------------------------------
 GND_net           <= '0';
 MEMRD_const_net_0 <= B"000000000000000000000000000000000";
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 FULL_net_1     <= FULL_net_0;
 FULL           <= FULL_net_1;
 EMPTY_net_1    <= EMPTY_net_0;
 EMPTY          <= EMPTY_net_1;
 Q_net_1        <= Q_net_0;
 Q(32 downto 0) <= Q_net_1;
----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- ms_event_fifo_0   -   Actel:DirectCore:COREFIFO:2.0.101
ms_event_fifo_0 : ms_event_fifo_ms_event_fifo_0_COREFIFO
    generic map( 
        AE_STATIC_EN   => ( 0 ),
        AEVAL          => ( 4 ),
        AF_STATIC_EN   => ( 0 ),
        AFVAL          => ( 60 ),
        CTRL_TYPE      => ( 3 ),
        ESTOP          => ( 1 ),
        FAMILY         => ( 19 ),
        FSTOP          => ( 1 ),
        OVERFLOW_EN    => ( 0 ),
        PIPE           => ( 1 ),
        PREFETCH       => ( 0 ),
        RCLK_EDGE      => ( 1 ),
        RDCNT_EN       => ( 0 ),
        RDEPTH         => ( 128 ),
        RE_POLARITY    => ( 0 ),
        READ_DVALID    => ( 0 ),
        RESET_POLARITY => ( 1 ),
        RWIDTH         => ( 33 ),
        SYNC           => ( 1 ),
        UNDERFLOW_EN   => ( 0 ),
        WCLK_EDGE      => ( 1 ),
        WDEPTH         => ( 128 ),
        WE_POLARITY    => ( 0 ),
        WRCNT_EN       => ( 0 ),
        WRITE_ACK      => ( 0 ),
        WWIDTH         => ( 33 )
        )
    port map( 
        -- Inputs
        CLK       => CLK,
        WCLOCK    => GND_net, -- tied to '0' from definition
        RCLOCK    => GND_net, -- tied to '0' from definition
        RESET     => RESET,
        DATA      => DATA,
        WE        => WE,
        RE        => RE,
        MEMRD     => MEMRD_const_net_0, -- tied to X"0" from definition
        -- Outputs
        Q         => Q_net_0,
        FULL      => FULL_net_0,
        EMPTY     => EMPTY_net_0,
        AFULL     => OPEN,
        AEMPTY    => OPEN,
        OVERFLOW  => OPEN,
        UNDERFLOW => OPEN,
        WACK      => OPEN,
        DVLD      => OPEN,
        WRCNT     => OPEN,
        RDCNT     => OPEN,
        MEMWE     => OPEN,
        MEMRE     => OPEN,
        MEMWADDR  => OPEN,
        MEMRADDR  => OPEN,
        MEMWD     => OPEN 
        );

end RTL;
