---------------------------------------------------------------------------------------------------
-- DESIGN RCU FIRM WARE V.2.0
-- FILE NAME   : ARBIT.VHD

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ARBIT is
    Port ( 
		siu_br 	: in  STD_LOGIC;
		siu_bi 	: in  STD_LOGIC;
		dcs_br 	: in  STD_LOGIC;
		dcs_bi 	: in  STD_LOGIC;
		clk  	: in  STD_LOGIC;
		rst  	: in  STD_LOGIC;
		siu_bg 	: out  STD_LOGIC;
		dcs_bg 	: out  STD_LOGIC);
end ARBIT;

architecture A_ARBIT of ARBIT is
	
	-- constant idle 		 : std_logic_vector(1 downto 0) := "00";
	-- constant dcs_bgrant  : std_logic_vector(1 downto 0) := "01";
	-- constant siu_bgrant 	 : std_logic_vector(1 downto 0) := "11";	
-- --	constant send_l2 	: std_logic_vector(1 downto 0) := "10";
	-- signal pr_st,nxt_st	: std_logic_vector(1 downto 0);
	attribute init: string;
	
 type sm is( idle, dcs_bgrant, siu_bgrant) ;
 signal pr_st, nxt_st: sm;	
-- attribute init of pr_st : sm is "idle"; 
begin 

	
	process(clk,rst)
	begin
		if(rst='1') then
			pr_st <= idle;
		elsif(clk' event and clk='1') then
			pr_st <= nxt_st;
		end if;
	end process;
	
	process(pr_st,rst,dcs_br, siu_br, dcs_bi,siu_bi)
	begin
		if rst='1' then
			nxt_st <= idle;
		else	
			case pr_st is
				when idle =>
				
				if dcs_br = '1' and siu_br = '0' then
					nxt_st <= dcs_bgrant;
				elsif dcs_br = '1' and siu_br = '1' then
					nxt_st <= dcs_bgrant;
				elsif dcs_br = '0' and siu_br = '1' then
					nxt_st <= siu_bgrant;
				else
					nxt_st <= idle;
				end if;
								
				when dcs_bgrant =>
				
				if siu_bi = '1' then
				
					nxt_st <= siu_bgrant;
					
				elsif dcs_br = '1' and siu_br = '1' then	
				
					nxt_st <= dcs_bgrant;
					
				elsif dcs_br = '0' and siu_br = '1' then
				
					nxt_st <= siu_bgrant;
					
				else
				
					nxt_st <= idle;
					
				end if;				
				
					
				when siu_bgrant =>
				
				if dcs_bi = '1' then
				
					nxt_st <= dcs_bgrant;
					
				else
					
					if siu_br = '1' then
						
					nxt_st <= siu_bgrant;					
					
					else
					
					nxt_st <= idle;					
					
					end if;
				
				end if;
					
				when others =>
					nxt_st <= idle;
			end case;
		end if;
	end process;
	
	-- OUT PUT STAGE --
	OUTPUT_STAGE : process(clk,rst)
	begin
		if rst='1' then
				siu_bg <= '0';
				dcs_bg <= '1';
		elsif clk' event and clk='1' then
			case nxt_st is
				
				when idle =>
				siu_bg <= '0';
				dcs_bg <= '1';
								
				when dcs_bgrant =>
				
				siu_bg <= '0';
				dcs_bg <= '1';
					
				when siu_bgrant =>
				
				siu_bg <= '1';
				dcs_bg <= '0';
				
				when others =>
				
				siu_bg <= '0';
				dcs_bg <= '1';
					
			end case;
		end if;
	end process;		
				
end;

