---------------------------------------------------------------------------------------------------
-- DESIGN RCU FIRM WARE V.2.0
-- FILE NAME   : CNT12.VHD
-- DESIGN TEAM : Luciano Musa, Changzhou Xiang , Attiq ur Rehman
-- DESCRIPTION : All control Signal Active High, Data RD/WR on rising edge,ASYNCHRONOUS RESET AND CLEAR
-- CLOCK DOMAIN: RCU CLOCK
-- PURPOSE     : 
--           
-- AUTHORS     : Changzhou.Xiang (CERN-PH/ED)
-- LAST UPDATE : 09.11.07
-------------------------------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity CNT12 is
    Port ( clk 			: in  STD_LOGIC;
           rst 			: in  STD_LOGIC;
           clr 			: in  STD_LOGIC;
           en 			: in  STD_LOGIC;
           
		   cnt_out		: out  STD_LOGIC_VECTOR (11 downto 0)
		   );
end CNT12;

architecture A_CNT12 of CNT12 is
	signal cnt : STD_LOGIC_VECTOR (11 downto 0);		 
	
begin
	cnt_out <= cnt;
	-----------------LOOP NUMBER COUNTER-----------------
	process(rst,clr,clk)
	begin
		if rst='1' then
			cnt <= (others=>'0');
		elsif (clk' event and clk='1' )then
			if clr='1' then
			 cnt <= (others => '0');
			elsif en='1' then
				cnt <= cnt+1;
			end if;
		end if;
	end process;
end;