---------------------------------------------------------------------------------------------------
-- DESIGN RCU FIRM WARE V.2.0
-- FILE NAME   : CNT20.V
-- DESIGN TEAM : Luciano Musa, Changzhou Xiang , Attiq ur Rehman
-- DESCRIPTION : All control Signal Active High, Data RD/WR on rising edge,ASYNCHRONOUS RESET AND CLEAR
-- CLOCK DOMAIN: 
-- PURPOSE     : 20 BITS UP COUNTER
--           
-- AUTHORS     : Changzhou.Xiang (CERN-PH/ED)
-- LAST UPDATE : 21.01.08
-------------------------------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity CNT20 is
    Port ( en : in  STD_LOGIC;
           clr: in  STD_LOGIC;
           clk : in  STD_LOGIC;
           rst : in  STD_LOGIC;
           
           cnt_out : out  STD_LOGIC_VECTOR (19 downto 0)
		);
end CNT20;

architecture A_CNT20 of CNT20 is
	signal cnt :  STD_LOGIC_VECTOR (19 downto 0);
	
begin

	cnt_out <= cnt;
	
	process(rst,clr,clk)
	begin
		if rst='1' then
			cnt <= (others=>'0');
		elsif (clk' event and clk='1') then
			if clr = '1' then
				cnt <= (others => '0');
			elsif en='1' then
				cnt <= cnt+1; 
			end if;
		end if;
	end process; 
end;

