LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

  
ENTITY ttc IS
	GENERIC (
      U_dly                          :  integer := 2;
      NUM_BUF                        : integer := 35);  -- 0.22ns delay per bufd on SF2	
  PORT (
	rst_n			: IN std_logic;
	tx_data_in	: IN std_logic;
	
--	tx_data_in_del	: OUT std_logic;
--	rx_clk_out		: OUT std_logic;
--	rx_data_out		: OUT std_logic;
	clk_40			: OUT std_logic;
	ch_a			: OUT std_logic;
	ch_b			: OUT std_logic
--	ch_b_detected	: OUT std_logic
  
  );
end entity ttc;
  
Architecture connect of ttc is
--signals
--signal 	orig_data_i 		: std_logic;
signal		rx_clk_out_i		: std_logic;
signal		rx_data_out_i		: std_logic;
signal 		clk_40_i			: std_logic;
signal 		ch_a_i				: std_logic;
signal		ch_b_det_i			: std_logic;
signal 		rst				: std_logic;


begin

rst <= not rst_n;
--rx_clk_out <= rx_clk_out_i;
--rx_data_out <= rx_data_out_i;
clk_40 <= clk_40_i;
ch_a <= ch_a_i;
--ch_b_detected <= ch_b_det_i;



cdr_top: entity work.cdr_top
generic map(
	U_dly => U_dly,
	NUM_BUF => NUM_BUF
)
port map(
	rst => rst,
	tx_data_in => tx_data_in,
	tx_data_in_del => open,
	rx_clk_out => rx_clk_out_i,
	rx_data_out => rx_data_out_i
	);
	
clk_div: entity work.clk_div
port map(
	clk_80 => rx_clk_out_i,
	change_ph => ch_b_det_i,
	clk_40 => clk_40_i
	);
	
demultiplexAB: entity work.demultiplexAB
port map(
	rst => rst,
	clk_40 => clk_40_i,
	data_80 => rx_data_out_i,
	ch_a => ch_a_i,
	ch_b => ch_b
	);
	
ch_b_det: entity work.ch_b_det
port map(
	reset => rst,
	ch_a_data => ch_a_i,
	clk_40 => clk_40_i,
	ch_b_det => ch_b_det_i
	);
	

end connect;